Bug 167888 - Review Request: polyxmass-common - Contains all textual/graphical data required for polyxmass
Review Request: polyxmass-common - Contains all textual/graphical data requir...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.polyxmass.org
:
Depends On: 167887
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-09 03:43 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 17:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-09-09 03:43:40 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/polyxmass-common.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/polyxmass-common-0.8.7-1.src.rpm
Description: 
GNU polyxmassdata is a platform-independent package that contains all
textual/graphical data required to run the GNU polyxmass software out of
the box.  Namely, GNU polyxmassdata contains configuration files describing
polymer chemistry for a number of polymer types commonly found in nature:
protein, dna, rna, saccharides. These polymer chemistry definitions are
examples, and should be carefully reviewed by the user of the GNU polyxmass
software, in order to make sure that they fulfill their task in the
best way.
Comment 1 John Mahowald 2005-10-23 00:32:08 EDT
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no locales
- not relocatable
- permissions ok
- %clean ok
- macro use consistent
- acceptable content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- rpmlint:
W: polyxmass-common no-version-in-last-changelog
W: polyxmass-common non-conffile-in-etc /etc/polyxmass/chempad.conf
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-common-polchem-defs-atom-defs-dic
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-common-polchem-defs-cat
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/atom-defs/polyxmass-common-atom-defs-cat

all of which are minor and can probably be ignored.


The description is hardly different from polyxmass-data. Could be more clear as
to the difference. Also, both common and data seem to own
/usr/share/polyxmass/pol-seqs and /etc/polyxmass/polchem-defs. Any reason not to
combine the two into one package, or two packages from one spec?
Comment 2 Andreas Bierfert 2005-10-23 03:40:23 EDT
I left them as two seperate packages because of the upstream name(s)... Excluded
the two mentioned files:

http://fedora.lowlatency.de/review/polyxmass-common-0.8.7-2.src.rpm
http://fedora.lowlatency.de/review/polyxmass-common.spec
Comment 3 Andreas Bierfert 2005-10-26 02:30:28 EDT
Hm... this is a indeed a problem. I misread your post so forget about the posted
spec. I would say adding a Requires: polyxmass-data would be the best way to go
here and let polyxmass-data own the dirs:

http://fedora.lowlatency.de/review/polyxmass-common-0.8.7-3.src.rpm
http://fedora.lowlatency.de/review/polyxmass-common.spec
Comment 4 John Mahowald 2005-10-29 21:05:27 EDT
With the ownership issue resolved, rpmlint remains:

W: polyxmass-common no-version-in-last-changelog
W: polyxmass-common non-conffile-in-etc /etc/polyxmass/chempad.conf
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-common-polchem-defs-atom-defs-dic
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-common-polchem-defs-cat
W: polyxmass-common non-conffile-in-etc
/etc/polyxmass/atom-defs/polyxmass-common-atom-defs-cat


chempad.conf is definatly a config file and should be marked %config in the spec.

All the other ones contain pointers to xml data located elsewhere. These can
also be labeled config. However, these file locations aren't likely to change.
I'll let you make the call on this one.

Change at least chempad.conf to %config, and this is APPROVED
Comment 5 Andreas Bierfert 2005-11-01 17:38:19 EST
If fixed that, checked in and build for devel...

Thanks for the approval :)

Note You need to log in before you can comment on or make changes to this bug.